İçeriğe atla
ShopentlyLearn

Sil · Ürün varyantları — Varyantlar ve seçenekler

Varyant kombinasyonlarını silme. Harici entegrasyon işlemleri için.

DELETE/api/v1/products/{product_id}/variants/{variant_id}

cURL isteği

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/products/example/variants/example?expected_price_version=1&expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-delete_variant_api_v1_products__product_id__variants__variant_id__delete'

Yanıt

{
  "data": {
    "deleted": true,
    "id": "example",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

Gerekli izinler

Kimlik doğrulama
Erişim belirteci
En düşük plan
STANDARD
Anahtar izni
Varyant kombinasyonlarını silmecatalog.product_variant:delete